Awesome Flutter Pub codecov Build Status

Kuzzle Dart SDK

About Kuzzle

A backend software, self-hostable and ready to use to power modern apps.

You can access the Kuzzle repository on Github or view official website kuzzle.io.

Installation

Include this in your pubspec.yaml

dependencies:
  kuzzle: ^2.0.0

only WebSocketProtocol protocol is available for now, feel free to suggest a PR for other protocols submissions

Documentation and Samples

Contributions

If you find a bug or want a feature, but don't know how to fix/implement it, feel free to open an issue. If you fixed a bug or implemented a new feature, we will enjoy to merge your pull request.

History

The first version of this SDK has been developed by @prijindal which was inspired by the SDK Javascript v5. Later with the help of another contributor, @stafyniaksacha, the SDK was reworked to match the new version 6 of the javascript SDK. The compatibility of the SDK with Kuzzle v2 was done by @Manuelbaun.

Given the growing interest of the Dart/Flutter community for Kuzzle, we proposed to take over the SDK to integrate it officially and that it be subject to the same quality controls as our other projects.

Many thanks to our amazing contributors!

Libraries

sdk_kuzzle